<div class="container">
    <div class="row card">
      <div class="card-header"><i class="icon-map"></i>Customer Data</div>

      <div class="col-xs-12 col-sm-12 col-md-12 card-body">
          <form [formGroup]="customerForm" (ngSubmit)="onSubmit()" class="form-inline" role="form">
            <label for="date" class="mb-2 mr-sm-2">Date:</label>
            <input
                    type="text"
                    class="form-control"
                    formControlName="date"
                    placeholder="Select Date"
                    [maxDate]="maxDate"
                    readonly="readonly"
                    #dpYMD="bsDatepicker"
                    bsDatepicker
                    [bsConfig]="{ dateInputFormat: 'YYYY-MM-DD',containerClass:'theme-blue' }"
                    >
            <label for="driverId" class="mb-2 mr-sm-2">&nbsp;Driver ID:</label>
            <input
             type="text"
             class="form-control mb-2 mr-sm-2"
             formControlName="driverId"
             placeholder="Enter Driver ID">

            <button type="submit" class="btn btn-primary mb-2">Search</button>
            
          </form>
        </div>


      <div class="col-xs-12 col-sm-12 col-md-12 card-body">
          <table
            datatable
            [dtOptions]="dtOptions"
            [dtTrigger]="dtTrigger"
            class="table table-striped table-bordered row-border hover"
          >
            <thead>
              <tr>
                <th *ngFor="let header of tableHeaders">{{ header }}</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let element of customerData">
                <td>{{ element.driverId }}</td>
                <td>{{ element.lspId }}</td>
                <td>{{ element.batteryId }}</td>
                <td>{{ element.date | date: 'mediumDate' }}</td>
                <td>{{ element.hrsDriven }}</td>
                <td>{{ element.kmDriven }}</td>
                <td>{{ element.earning }}</td>
                <td>{{ element.chargingCycle }}</td>
                <td>{{ element.attendedBy }}</td>
                <td>{{ element.issue }}</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
